search menu icon-carat-right cmu-wordmark

CERT Coordination Center


NVIDIA Windows video card drivers contain multiple vulnerabilities

Vulnerability Note VU#957036

Original Release Date: 2013-03-21 | Last Revised: 2014-07-30

Overview

NVIDIA video card drivers contain multiple vulnerabilities.

Description

The NVIDIA security advisory states:

CVE-2013-0109: NVIDIA Display Driver Service Vulnerability
Due to an issue identified with the NVIDIA driver, a malicious actor could – by forcing exceptions and overwriting memory –potentially escalate privileges to gain administrative control of a system. The vulnerability is associated with the NVIDIA Display Driver service, and affects NVIDIA drivers for Windows operating systems (Windows XP/Windows Vista/Windows 7/Windows 8 - 32 & 64-bit) starting with the Release 173 drivers.

CVE-2013-0110: NVIDIA Stereoscopic 3D Driver Service Vulnerability
NVIDIA has verified an issue with the NVIDIA Stereoscopic 3D Driver Service (nvSCPAPISvr.exe), which could allow a malicious actor to potentially escalate privileges locally by inserting an executable file in the path of the affected service. The specific issue identified was that the service used an unquoted service path, containing at least one whitespace.

CVE-2013-0111: NVIDIA Update Service Daemon Vulnerability
NVIDIA has verified an issue with the NVIDIA Update Service Daemon (daemonu.exe), which could allow a malicious actor to potentially escalate privileges locally by inserting an executable file in the path of the affected service. The specific issue identified was that the service used an unquoted service path, containing at least one whitespace.

The vulnerabilities are present in NVIDIA drivers starting with driver version 173.01 and are resolved in driver releases starting with version 311.00 (for Release 310) and version 307.78 (for Release 304).

Additional details may be found on the NVIDIA support page.

Impact

A local authenticated attacker may be able to escalate privileges or cause a denial of service.

Solution

Apply an Update

Users should upgrade to the latest NVIDIA drivers. Users that need to stay on an older driver version can apply a patch.

Vendor Information

957036
Expand all

NVIDIA

Updated:  March 21, 2013

Status

  Affected

Vendor Statement

No statement is currently available from the vendor regarding this vulnerability.

Vendor Information

We are not aware of further vendor information regarding this vulnerability.

Vendor References

http://nvidia.custhelp.com/app/answers/detail/a_id/3288

Addendum

There are no additional comments at this time.

If you have feedback, comments, or additional information about this vulnerability, please send us email.


CVSS Metrics

Group Score Vector
Base 6.8 AV:L/AC:L/Au:S/C:C/I:C/A:C
Temporal 5.3 E:POC/RL:OF/RC:C
Environmental 4 CDP:ND/TD:M/CR:ND/IR:ND/AR:ND

References

Credit

Thanks to NVIDIA Security for reporting this vulnerability.

This document was written by Jared Allar.

Other Information

CVE IDs: CVE-2013-0109, CVE-2013-0110, CVE-2013-0111
Date Public: 2013-02-15
Date First Published: 2013-03-21
Date Last Updated: 2014-07-30 18:52 UTC
Document Revision: 10

Sponsored by the Department of Homeland Security Office of Cybersecurity and Communications.